Bug 524526 - The strings in UI and in PO file are inconsistent
The strings in UI and in PO file are inconsistent
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Translation
Depends On:
Blocks: 525052
  Show dependency treegraph
Reported: 2009-09-21 00:30 EDT by Noriko Mizumoto
Modified: 2009-09-29 11:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-29 11:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
background-setting (218.31 KB, image/png)
2009-09-29 01:45 EDT, Noriko Mizumoto
no flags Details
background-setting2 (244.31 KB, image/png)
2009-09-29 02:55 EDT, Noriko Mizumoto
no flags Details

  None (edit)
Description Noriko Mizumoto 2009-09-21 00:30:00 EDT
Translation completed 100%. POT/POs may need to be updated to reflect latest strings.
Comment 1 Noriko Mizumoto 2009-09-23 00:16:01 EDT
This is feedback from Fedora 12 software translation review.
- The strings in UI and the strings in PO file are inconsistent.
Observed by, ko-KR, de-DE, fr-FR, ja-JP, it-IT, ru-RU, zh-TW
- Some strings are appeared in English even PO file fully translated.
Observed by, es-ES, ru-RU and zh-TW
Comment 2 Matthias Clasen 2009-09-24 16:23:42 EDT
Can you clarify what strings and what ui you are talking about here ? 
I am confused, since the desktop-backgrounds package does not contain any translations that I can see...
Comment 3 Noriko Mizumoto 2009-09-24 23:04:49 EDT
For example, those below can not be found in desktop-backgrounds POT/POs (https://translate.fedoraproject.org/projects/desktop-backgrounds/HEAD/).

Go to 'system -> settings -> appearence';
On tab "background" the sub-header "_Desktop Background" is in English.
On the same tab there is a drop-down list "C_olors" (in English). The choices are all in English, including "Solid color", Horizontal gradient", "Vertical gradient", etc.
Comment 4 Matthias Clasen 2009-09-24 23:14:05 EDT
Those strings are part of the control-center package.
Comment 5 Noriko Mizumoto 2009-09-24 23:47:04 EDT
'control-center' package can not be found in Transifex. Where can translators find translatable PO file?
Comment 6 Noriko Mizumoto 2009-09-24 23:58:03 EDT
Reassigned to 'control-center' package. This package has not been registered with Transifex. To enable translators send contributions to this project through Transifex, it is needed to have a special VCS account for Transifex. 
Please refer here; http://fedoraproject.org/wiki/L10NFAQ#How_do_I_add_a_module_to_Transifex.3F_.28.23add-transifex.29
Comment 7 Matthias Clasen 2009-09-25 08:01:49 EDT
control-center is part of gnome, the upstream name is gnome-control-center. So, for translations, go to gnome.org.
Comment 8 Noriko Mizumoto 2009-09-28 20:21:49 EDT
gnome-control-center for Gnome 2.28 (currently frozen) status says: ja, de, fr, it, zh-TW and es are all 100% completion. ko-KR 97% completion and ru-RU 98% completion. Thus most of strings should appear in translated languages at release time. Please make sure Gnome 2.28 to be included. http://l10n.gnome.org/module/gnome-control-center/

However, two strings can not be found in gnome-control-center package PO file. Those are untranslatable.
Go to system -> settings -> appearence -> Background tab
'_Desktop Background' at top left hand side
'Make Default' at bottom right hand side
Comment 9 Matthias Clasen 2009-09-28 22:24:18 EDT
I can't see the "_Desktop Background" string here. Can you show a screenshot ?
"Make Default" is a string that is added in a patch of ours, but thankfully,
gnome-power-manager does have translations for this, so I went ahead and stole those translations with a little hack.

Please check control-center-2.28.0-11.fc12 to verify that "Make Default" is now sufficiently translated.
Comment 10 Noriko Mizumoto 2009-09-29 01:45:19 EDT
Created attachment 362964 [details]

The screen-shot is attached.
Comment 11 Matthias Clasen 2009-09-29 02:23:43 EDT
Which version is that ? I don't see that string on my system with control-center-2.28.0-11
Comment 12 Noriko Mizumoto 2009-09-29 02:55:46 EDT
Created attachment 362968 [details]

Upgraded to the version specified to check.
Yeah! confirmed all strings in 'Background' tab nicely appears in translated language (Japanese), including 'Make Default'!!. There is no more '_Desktop Background' in latest version.
Looking great, thanks a lot!

Note You need to log in before you can comment on or make changes to this bug.